#include "user_interface.h"
#include "gpio.h"
#include "adc.h"

void turnOnBluetoothModule(void);

volatile int prueba;

void initializeUserInterface(void)
{
    setBluetoothButtonISRCallbackFunction(turnOnBluetoothModule);
}

void turnOnAlarmLED(void)
{
    turnOnLED(LED_RED);
}

void turnOffAlarmLED(void)
{
    turnOffLED(LED_RED);
}

void turnOnDebugLED(void)
{
    turnOnLED(LED_ONE);
}

void turnffDebugLED(void)
{
    turnOffLED(LED_ONE);
}

void turnOnBluetoothModule(void)
{
    if(prueba == 0)
    {
        turnOnLED(LED_BLUE);
        runADCConversion();
        prueba = 1;
    }
    else
    {
        turnOffLED(LED_BLUE);
        prueba = 0;
    }
}
